Image 01
profile-image

Doomsday

Jonathan Huot La Ciotat, France
Wired

Audio Apps by jce 28 comments

Damn it... very strange :)

check wx-config --list, have you unicode enabled by default ?

I think we can continue our conversation on IRC wired chan, #wired-devel on freenode.

It will be more easier to resolve this problem :) - Jun 16 2006
Wired

Audio Apps by jce 28 comments

New version in SVN require a version of wxGTK in unicode...

If you have the faith to re-install wxGTK with unicode support... you can pass through this error :)

Or simply install wired-libs-0.2 which include wxGTK.

Good luck - Jun 16 2006
Wired

Audio Apps by jce 28 comments

Very strange, I have never seen this error.

Have you a line like this in the file src/engine/AudioEngine.h :

Device *GetDeviceById(PaDeviceIndex id);

If not, insert it in "private:" part...
If the line is present, it look very strange... :/ Maybe you may want to checkout the SVN version (command line is: "svn checkout https://svn.sourceforge.net/svnroot/wired/trunk/"), or wait the next release 0.3 ?

Good luck - Jun 15 2006
Wired

Audio Apps by jce 28 comments

Hello,
Existing problems are already signaled.

You may want to check this post :
http://wired.is.free.fr/userforum/viewtopic.php?t=8

Good luck ! - Jun 15 2006
Wired

Audio Apps by jce 28 comments

Version in debian packages is too old, Wired require the version 19 of PortAudio, which is not currently released. So we provide a snapshot in wired-libs-0.2.

In the next release of Wired >=0.3, PortAudio will be included until PortAudio release its version 19 ! - Jun 15 2006
Wired

Audio Apps by jce 28 comments

From http://wired.is.free.fr/userforum/viewtopic.php?t=4

" Once a Jack implemetation of Portaudio 19 will be available, we will automatically be fully compatible with it.

Therefore, a part of our work would be to help Portaudio in this implementation. We certainly won't have time to do it but we strongly advise any willing contributor to do it.

We do agree on the fact that Jack support should be included in Wired but the Portaudio choice has been made since the beginning and cannot be reverted. " - Jun 15 2006
Wired

Audio Apps by jce 28 comments

This problem is about a wrong version of PortAudio.

You need PortAudio version 19 which is not released yet ! but we provide a snapshot in wired-libs-0.2.

Good Luck ! - Jun 15 2006
Wired

Audio Apps by jce 28 comments

For XML problems, you certainly have a version of wxGTK without unicode support.

Wired need a version of wxGTK WITH unicode.
wxGTK is included in wired-libs-0.2 . - Jun 15 2006